#
# spec file for package bspwm
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bspwm
Version:        0.9.1
Release:        2.1
Summary:        A tiling window manager based on binary space partitioning
License:        BSD-2-Clause
Group:          System/GUI/Other
Url:            https://github.com/baskerville/bspwm
Source0:        https://github.com/baskerville/bspwm/archive/%{version}.tar.gz
Source1:        bspwm.desktop
BuildRequires:  pkgconfig
BuildRequires:  zsh
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-event)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(xcb-xkb)
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Recommends:     dmenu
Recommends:     lemonbar
Recommends:     sxhkd

%description
A tiling window manager based on binary space partitioning.
* It only responds to X events, and the messages it receives on a dedicated socket.
* bspc is a program that writes messages on bspwm's socket.
* bspwm doesn't handle any keyboard or pointer inputs: a third party program (e.g.
sxhkd) is needed in order to translate keyboard and pointer events to bspc invocations.

%prep
%setup -q

%build
install -pm 644 %{SOURCE1} contrib/freedesktop/bspwm.desktop
make %{?_smp_mflags} V=1

%install
%make_install PREFIX=%{_prefix} DOCPREFIX=%{_docdir}/%{name} MANPREFIX=%{_mandir}
install -D -p -m 644 examples/bspwmrc \
        %{buildroot}%{_sysconfdir}/skel/.config/bspwm/bspwmrc
install -D -p -m 644 LICENSE %{buildroot}%{_docdir}/%{name}/LICENSE

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr (-, root, root)
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_bindir}/bspwm
%{_bindir}/bspc
%{_docdir}/%{name}
%{_mandir}/man1/bspwm.1%{ext_man}
%{_mandir}/man1/bspc.1%{ext_man}
%{_datadir}/bash-completion/completions/bspc
%{_datadir}/zsh/site-functions/_bspc
%{_datadir}/xsessions/bspwm.desktop
%{_sysconfdir}/skel/.config/bspwm
%config %{_sysconfdir}/skel/.config/bspwm/bspwmrc

%changelog
* Wed Oct  5 2016 luke.nukem.jones@gmail.com
- change sxhkd and dmenu to be recommended, not required
- move to pkgconfig deps, add desktop-utils handling
* Fri Jul 15 2016 luke.nukem.jones@gmail.com
- Initial packaging of bspwm
